Open CASCADE Technology: BRepPrimAPI_MakeRevolution Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepPrimAPI_MakeRevolution Class Reference

Describes functions to build revolved shapes. A MakeRevolution object provides a framework for: More...

`#include <BRepPrimAPI_MakeRevolution.hxx>`

Inheritance diagram for BRepPrimAPI_MakeRevolution:
[legend]

## Public Member Functions
| BRepPrimAPI_MakeRevolution (const Handle< Geom_Curve > &Meridian)
| Make a revolution body by rotating a curve around Z. More...
| BRepPrimAPI_MakeRevolution (const Handle< Geom_Curve > &Meridian, const Standard_Real angle)
| Make a revolution body by rotating a curve around Z. More...
| BRepPrimAPI_MakeRevolution (const Handle< Geom_Curve > &Meridian, const Standard_Real VMin, const Standard_Real VMax)
| Make a revolution body by rotating a curve around Z. More...
| BRepPrimAPI_MakeRevolution (const Handle< Geom_Curve > &Meridian, const Standard_Real VMin, const Standard_Real VMax, const Standard_Real angle)
| Make a revolution body by rotating a curve around Z. More...
| BRepPrimAPI_MakeRevolution (const gp_Ax2 &Axes, const Handle< Geom_Curve > &Meridian)
| Make a revolution body by rotating a curve around Z. More...
| BRepPrimAPI_MakeRevolution (const gp_Ax2 &Axes, const Handle< Geom_Curve > &Meridian, const Standard_Real angle)
| Make a revolution body by rotating a curve around Z. More...
| BRepPrimAPI_MakeRevolution (const gp_Ax2 &Axes, const Handle< Geom_Curve > &Meridian, const Standard_Real VMin, const Standard_Real VMax)
| Make a revolution body by rotating a curve around Z. More...
| BRepPrimAPI_MakeRevolution (const gp_Ax2 &Axes, const Handle< Geom_Curve > &Meridian, const Standard_Real VMin, const Standard_Real VMax, const Standard_Real angle)
| Make a revolution body by rotating a curve around Z. For all algorithms the resulting shape is composed of. More...
Standard_Address | OneAxis ()
| Returns the algorithm. More...
BRepPrim_Revolution & | Revolution ()
| Returns the algorithm. More...
Public Member Functions inherited from BRepPrimAPI_MakeOneAxis
virtual void | Build ()
| Stores the solid in myShape. More...
const TopoDS_Face & | Face ()
| Returns the lateral face of the rotational primitive. More...
| operator TopoDS_Face ()
const TopoDS_Shell & | Shell ()
| Returns the constructed rotational primitive as a shell. More...
| operator TopoDS_Shell ()
const TopoDS_Solid & | Solid ()
| Returns the constructed rotational primitive as a solid. More...
| operator TopoDS_Solid ()
Public Member Functions inherited from BRepBuilderAPI_MakeShape
virtual void | Delete ()
virtual | ~BRepBuilderAPI_MakeShape ()
virtual const TopoDS_Shape & | Shape () const
| Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More...
| operator TopoDS_Shape () const
virtual const TopTools_ListOfShape & | Generated (const TopoDS_Shape &S)
| Returns the list of shapes generated from the shape <S>. More...
virtual const TopTools_ListOfShape & | Modified (const TopoDS_Shape &S)
| Returns the list of shapes modified from the shape <S>. More...
virtual Standard_Boolean | IsDeleted (const TopoDS_Shape &S)
| Returns true if the shape S has been deleted. More...
Public Member Functions inherited from BRepBuilderAPI_Command
virtual | ~BRepBuilderAPI_Command ()
virtual Standard_Boolean | IsDone () const
void | Check () const
| Raises NotDone if done is false. More...

## Additional Inherited Members
Protected Member Functions inherited from BRepBuilderAPI_MakeShape
| BRepBuilderAPI_MakeShape ()
Protected Member Functions inherited from BRepBuilderAPI_Command
| BRepBuilderAPI_Command ()
| Set done to False. More...
void | Done ()
| Set done to true. More...
void | NotDone ()
| Set done to false. More...
Protected Attributes inherited from BRepBuilderAPI_MakeShape
TopoDS_Shape | myShape
TopTools_ListOfShape | myGenerated

## Detailed Description

Describes functions to build revolved shapes. A MakeRevolution object provides a framework for:

- defining the construction of a revolved shape,
- implementing the construction algorithm, and
- consulting the result.

## Constructor & Destructor Documentation

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution | ( | const Handle< Geom_Curve > & | Meridian | ) |

Make a revolution body by rotating a curve around Z.

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution | ( | const Handle< Geom_Curve > & | Meridian,
|  | const Standard_Real | angle
| ) |  |

Make a revolution body by rotating a curve around Z.

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution | ( | const Handle< Geom_Curve > & | Meridian,
|  | const Standard_Real | VMin,
|  | const Standard_Real | VMax
| ) |  |

Make a revolution body by rotating a curve around Z.

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution | ( | const Handle< Geom_Curve > & | Meridian,
|  | const Standard_Real | VMin,
|  | const Standard_Real | VMax,
|  | const Standard_Real | angle
| ) |  |

Make a revolution body by rotating a curve around Z.

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution | ( | const gp_Ax2 & | Axes,
|  | const Handle< Geom_Curve > & | Meridian
| ) |  |

Make a revolution body by rotating a curve around Z.

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution | ( | const gp_Ax2 & | Axes,
|  | const Handle< Geom_Curve > & | Meridian,
|  | const Standard_Real | angle
| ) |  |

Make a revolution body by rotating a curve around Z.

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution | ( | const gp_Ax2 & | Axes,
|  | const Handle< Geom_Curve > & | Meridian,
|  | const Standard_Real | VMin,
|  | const Standard_Real | VMax
| ) |  |

Make a revolution body by rotating a curve around Z.

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution | ( | const gp_Ax2 & | Axes,
|  | const Handle< Geom_Curve > & | Meridian,
|  | const Standard_Real | VMin,
|  | const Standard_Real | VMax,
|  | const Standard_Real | angle
| ) |  |

Make a revolution body by rotating a curve around Z. For all algorithms the resulting shape is composed of.

- a lateral revolved face,
- two planar faces in planes parallel to the plane z = 0, and passing by the extremities of the revolved portion of Meridian, if these points are not on the Z axis (in case of a complete revolved shape, these faces are circles),
- and in the case of a portion of a revolved shape, two planar faces to close the shape (in the planes u = 0 and u = angle).

## Member Function Documentation

Standard_Address BRepPrimAPI_MakeRevolution::OneAxis | ( |  | ) |
| virtual

Returns the algorithm.

Implements BRepPrimAPI_MakeOneAxis.

BRepPrim_Revolution& BRepPrimAPI_MakeRevolution::Revolution | ( |  | ) |

Returns the algorithm.

The documentation for this class was generated from the following file:

- BRepPrimAPI_MakeRevolution.hxx